OpenGL-3.0.3.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GLU.Quadrics

Description

This module corresponds to chapter 6 (Quadrics) of the GLU specs.

# Documentation

type QuadricNormal = Maybe ShadingModel Source #

data QuadricTexture Source #

Constructors

NoTextureCoordinates |
GenerateTextureCoordinates |

#### Instances

Instances details

Eq QuadricTexture Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GLU.Quadrics Methods (==) :: QuadricTexture -> QuadricTexture -> Bool Source # (/=) :: QuadricTexture -> QuadricTexture -> Bool Source #
Ord QuadricTexture Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GLU.Quadrics

Methods

compare :: QuadricTexture -> QuadricTexture -> Ordering Source #

(<) :: QuadricTexture -> QuadricTexture -> Bool Source #

(<=) :: QuadricTexture -> QuadricTexture -> Bool Source #

(>) :: QuadricTexture -> QuadricTexture -> Bool Source #

(>=) :: QuadricTexture -> QuadricTexture -> Bool Source #

max :: QuadricTexture -> QuadricTexture -> QuadricTexture Source #

min :: QuadricTexture -> QuadricTexture -> QuadricTexture Source #

data QuadricOrientation Source #

Constructors

Outside |
Inside |

#### Instances

Instances details

Show QuadricOrientation Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GLU.Quadrics Methods showsPrec :: Int -> QuadricOrientation -> ShowS Source # show :: QuadricOrientation -> String Source # showList :: [QuadricOrientation] -> ShowS Source #
Eq QuadricOrientation Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GLU.Quadrics Methods (==) :: QuadricOrientation -> QuadricOrientation -> Bool Source # (/=) :: QuadricOrientation -> QuadricOrientation -> Bool Source #
Ord QuadricOrientation Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GLU.Quadrics

Methods

compare :: QuadricOrientation -> QuadricOrientation -> Ordering Source #

(<) :: QuadricOrientation -> QuadricOrientation -> Bool Source #

(<=) :: QuadricOrientation -> QuadricOrientation -> Bool Source #

(>) :: QuadricOrientation -> QuadricOrientation -> Bool Source #

(>=) :: QuadricOrientation -> QuadricOrientation -> Bool Source #

max :: QuadricOrientation -> QuadricOrientation -> QuadricOrientation Source #

min :: QuadricOrientation -> QuadricOrientation -> QuadricOrientation Source #

data QuadricDrawStyle Source #

Constructors

PointStyle |
LineStyle |
FillStyle |
SilhouetteStyle |

#### Instances

Instances details

Show QuadricDrawStyle Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GLU.Quadrics Methods showsPrec :: Int -> QuadricDrawStyle -> ShowS Source # show :: QuadricDrawStyle -> String Source # showList :: [QuadricDrawStyle] -> ShowS Source #
Eq QuadricDrawStyle Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GLU.Quadrics Methods (==) :: QuadricDrawStyle -> QuadricDrawStyle -> Bool Source # (/=) :: QuadricDrawStyle -> QuadricDrawStyle -> Bool Source #
Ord QuadricDrawStyle Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GLU.Quadrics

Methods

compare :: QuadricDrawStyle -> QuadricDrawStyle -> Ordering Source #

(<) :: QuadricDrawStyle -> QuadricDrawStyle -> Bool Source #

(<=) :: QuadricDrawStyle -> QuadricDrawStyle -> Bool Source #

(>) :: QuadricDrawStyle -> QuadricDrawStyle -> Bool Source #

(>=) :: QuadricDrawStyle -> QuadricDrawStyle -> Bool Source #

max :: QuadricDrawStyle -> QuadricDrawStyle -> QuadricDrawStyle Source #

min :: QuadricDrawStyle -> QuadricDrawStyle -> QuadricDrawStyle Source #

data QuadricStyle Source #

Constructors

QuadricStyle QuadricNormal QuadricTexture QuadricOrientation QuadricDrawStyle |

#### Instances

Instances details

Eq QuadricStyle Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GLU.Quadrics Methods (==) :: QuadricStyle -> QuadricStyle -> Bool Source # (/=) :: QuadricStyle -> QuadricStyle -> Bool Source #
Ord QuadricStyle Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GLU.Quadrics

Methods

compare :: QuadricStyle -> QuadricStyle -> Ordering Source #

(<) :: QuadricStyle -> QuadricStyle -> Bool Source #

(<=) :: QuadricStyle -> QuadricStyle -> Bool Source #

(>) :: QuadricStyle -> QuadricStyle -> Bool Source #

(>=) :: QuadricStyle -> QuadricStyle -> Bool Source #

max :: QuadricStyle -> QuadricStyle -> QuadricStyle Source #

min :: QuadricStyle -> QuadricStyle -> QuadricStyle Source #

type Radius = GLdouble Source #

type Height = GLdouble Source #

type Angle = GLdouble Source #

type Slices = GLint Source #

type Stacks = GLint Source #

type Loops = GLint Source #

data QuadricPrimitive Source #

Constructors

Sphere Radius Slices Stacks |
Cylinder Radius Radius Height Slices Stacks |
Disk Radius Radius Slices Loops |
PartialDisk Radius Radius Slices Loops Angle Angle |

#### Instances

Instances details

Eq QuadricPrimitive Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GLU.Quadrics Methods (==) :: QuadricPrimitive -> QuadricPrimitive -> Bool Source # (/=) :: QuadricPrimitive -> QuadricPrimitive -> Bool Source #
Ord QuadricPrimitive Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GLU.Quadrics

Methods

compare :: QuadricPrimitive -> QuadricPrimitive -> Ordering Source #

(<) :: QuadricPrimitive -> QuadricPrimitive -> Bool Source #

(<=) :: QuadricPrimitive -> QuadricPrimitive -> Bool Source #

(>) :: QuadricPrimitive -> QuadricPrimitive -> Bool Source #

(>=) :: QuadricPrimitive -> QuadricPrimitive -> Bool Source #

max :: QuadricPrimitive -> QuadricPrimitive -> QuadricPrimitive Source #

min :: QuadricPrimitive -> QuadricPrimitive -> QuadricPrimitive Source #

renderQuadric :: QuadricStyle -> QuadricPrimitive -> IO () Source #